Subject: Re: b20.1: internal compiler error compiling Jikes
From: [email-masked] (Mumit Khan)

24 Dec 1998 14:30:39 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Stipe Tolj <[email-masked]>
Cc: GNU-Win32 <[email-masked]>, [email-masked], [email-masked]

On Wed, 23 Dec 1998, Stipe Tolj wrote:

> Hi,
> 
> I have a problem in compiling IBM's open sourced Jikes Java compiler
> written in C++, see Jikes home at
> 
> 	http://www.research.ibm.com/jikes/
> 	
> So far the make process runs smooth until I get this error:
> 
> $ make
> ...
> gcc -c -DUNIX -DBIGENDIAN -c -DTYPE_bool -ansi -W -DTEST -g long.cpp
> /home/noer/src/b20/comp-tools/devo/gcc/function.c:3272: Internal
> compiler error in function instantiate_virtual_regs_1
> make: *** [long.o] Error 1
> 
> I'm running b20.1 on a Win95 and Win98 box.
> 
> Thankfull for any help in solving the compilation problem.

It's a generic bug in egcs-1.1, and not limited to cygwin port. A 
workaround for now is to use -O, -O2, -O3 etc when compiling long.cpp.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".